using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HCM.BusinessEntities;
using HCM.BajaWare.BusinessLogic;

namespace HCM.BajaWare.Services
{
    public partial class InterfacesServicePermisos : IinterfacesServicePermisos
    {

        public List<PermisoObjeto> Consulta(int idPerfil, String rutaApp)
        {

            List<PermisoObjeto> result = null;

            try
            {
                result = (new PermisosLogic()).Consulta(idPerfil, rutaApp);
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en InterfacesServicePermisos. Consulta: " + ex.Message);
#else

#endif
            }

            return result;
        }

        public int ObtieneRolSistema(short shSistemaID, int intUsuarioID)
        {
            int result = 0;

            try
            {
                result = (new PermisosLogic()).ObtieneRolSistema(shSistemaID, intUsuarioID);
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en InterfacesServicePermisos. ObtieneRolSistema: " + ex.Message);
#else
#endif
            }

            return result;

        }
    }
}
